Subject: Novice: How to send a mail packet?

From: [email-masked] (Andy Longton)
Date: 17 Apr 1995 19:35:32 GMT

[ Article crossposted from comp.mail.headers ]
[ Author was Andy Longton ]
[ Posted on 17 Apr 1995 19:32:00 GMT ]

Any help with this would be appreciated....

I'm writing a _very_ _simple_ program to send mail using an ANSI (not 
SLIP) modem connection.  So far, I've been able to send messages by 
poking keystrokes into PINE.

The obvious problem is that if the site I'm dialing into doesn't have 
Pine -- let alone the same setup as I'm expecting -- I can't send a 
message to that site.

While the project will support SLIP connections later -- and 
hopefully MIME as well -- I don't have the resources to handle this in 
the short run.

Yet, I still need to be able to send mail through most dial-up Internet 
servers.

Q. What mail packages or APIs should I target (under ANSI/TTY/VT100 
   consoles) to increase my chance of sucessfully sending a message 
   using any given site's software?